%define svn 697
#%define rel 1

%if %defined svn
%define release %mkrel 0.svn%svn.%rel
%else
%define release %mkrel %rel
%endif

Name: beryl-settings
Version: 0.1.1
Release: %release
Summary: Settings Manager for Beryl
Group: System/X11
URL: http://www.beryl-project.org/
# NB Tarballs generated from http://svn.beryl-project.org/tags/release-%{version}/%{name}/
%if %defined svn
Source: %{name}-%{version}-%{svn}.tar.bz2
%else
Source: %{name}-%{version}.tar.bz2
%endif
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: beryl-core-devel
BuildRequires: png-devel
BuildRequires: libgtk+2.0-devel
BuildRequires: libxcomposite-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: beryl-core

# compiz-quinnstorm-plugins was renamed to beryl-plugins
Provides: csm
Obsoletes: csm

%description
Configuration editor for Beryl.


%prep
%setup -q -n %name

sh autogen.sh

%configure2_5x \
                --x-includes=%{_includedir}\
                --x-libraries=%{_libdir} \
                --disable-mime-update

%make


%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install \
  --vendor="" \
  --remove-category="Settings" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%clean
rm -rf %buildroot

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc AUTHORS  ChangeLog README COPYING 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/beryl/hints
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/pixmaps/%{name}-*.svg
# FIXME: create i18n packages
%{_datadir}/locale/*/LC_MESSAGES/beryl-settings.*
%_mandir/man1/beryl-settings.1.bz2

